<template>
    <v-card class="custom-card">
        <div class="d-flex flex-no-wrap justify-space-between">
            <div>
                <v-card-title class="headline" v-text="getTitle"></v-card-title>
                <v-card-subtitle v-text="getSubTitle"></v-card-subtitle>
            </div>

            <v-avatar class="ma-3" size="100">
                <v-icon class="custom-icon">mdi-storefront</v-icon>
            </v-avatar>
        </div>

    </v-card>
</template>

<script>


export default {
  name: 'AdminStoreCard',
  components: {
  },
  props: {
    store: Object
  },
  data() {
    return {
      editMode: false,
      isLoading: false
    }
  },
  computed: {
    getTitle() {
      return this.store.city + ', ' + this.store.country;
    },
    getSubTitle() {
      return this.store.street + ' - ' + this.store.zc;
    }
  },

  methods: {

  },
  watch: {

  },

};
</script>

<style lang="scss" scoped>
  .custom-card {
    cursor: pointer;
  }
  .headline {
    word-break: break-word;
  }
  .custom-icon {
    font-size: 4rem;
  }
</style> 